al_color_html_to_rgb(3)

NAME

al_color_html_to_rgb - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    bool al_color_html_to_rgb(char const *string,
       float *red, float *green, float *blue)

DESCRIPTION

Interprets an HTML-style hex number (e.g. #00faff) as a color. The only accepted formats are "#RRGGBB" and "RRGGBB" where R, G, B are hexadecimal digits [0-9A-Fa-f].

Returns true on success, false on failure. On failure all components are set to zero.

    Note: the behaviour on invalid strings is different from Allegro 5.0.x.

SEE ALSO

al_color_html(3), al_color_rgb_to_html(3)